import { jsx } from "react/jsx-runtime";
import { Circuitry as Circuitry$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Circuitry = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Circuitry", ...props, children: /* @__PURE__ */ jsx(Circuitry$1, { weight: variant }) });
  }
);
Circuitry.displayName = "Circuitry";
Object.assign(Circuitry, { isGdsIcon: true });
export {
  Circuitry
};
